Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • May 08 13:06

    twiddli on dev

    implement download queue ui; add collections; notifications; grouping; improv… and 26 more (compare)

  • Apr 04 18:01
    trailingslash commented #261
  • Apr 03 20:27
    trailingslash opened #261
  • Mar 28 22:12
    shanlol opened #260
  • Mar 28 22:08
    shanlol commented #222
  • Mar 28 21:25
    shanlol commented #222
  • Feb 09 01:06
    Zerendipity commented #242
  • Jan 03 15:53
    cirnosaiko opened #259
  • Oct 31 2021 18:43
    Cognitheurge opened #258
  • Oct 20 2021 22:43
    Cognitheurge commented #162
  • Sep 30 2021 21:31
    ndbiaw commented #224
  • Sep 13 2021 03:47

    twiddli on dev

    implement page navigation; add … add reader end content; minor f… add states; and 28 more (compare)

  • Sep 09 2021 09:30
    gy6221 commented #169
  • Jul 05 2021 16:01
    Dystasia commented #242
  • May 25 2021 00:38
    twiddli edited #246
  • May 25 2021 00:38
    twiddli edited #246
  • May 25 2021 00:38
    twiddli edited #246
  • May 25 2021 00:38
    twiddli edited #246
  • May 25 2021 00:38
    twiddli edited #246
  • May 25 2021 00:38
    twiddli edited #246
Twiddly
@twiddli
So you want a list of galleries that don't point to any valid sources?
Carl
@CarlCarlson_gitlab
that's right
Emmanuel Hansen
@emmauss
I keep getting errors when trying to scan and add
Emmanuel Hansen
@emmauss
trying to add another set again, and I get this
Mar-03 22:00:58--DEBUG  [command].happypanda.core.command: Calling main function of command: AddItem 
Mar-03 22:00:58--INFO   [command].happypanda.core.commands.database_cmd: Adding 9900 items 
Mar-03 22:00:58--DEBUG  [core].happypanda.core.async_utils: Running <bound method AddItem._add_to_db of <happypanda.core.commands.database_cmd.AddItem object at 0x08892468>> in native thread 
Mar-03 22:00:58--DEBUG  [server].happypanda.core.server: Client disconnected ('127.0.0.1', 51570) 
Mar-03 22:00:58--DEBUG  [server].happypanda.core.server: Client disconnected ('127.0.0.1', 51576) 
Mar-03 22:00:59--DEBUG  [server].happypanda.core.server: Client disconnected ('127.0.0.1', 51572) 
Mar-03 22:00:59--DEBUG  [server].happypanda.core.server: Client disconnected ('127.0.0.1', 51573) 
Mar-03 22:00:59--DEBUG  [server].happypanda.core.server: Client disconnected ('127.0.0.1', 51575) 
Mar-03 22:10:04--ERROR  [command].happypanda.core.commands.database_cmd: An error occurred when adding item 
Traceback (most recent call last):
  File "site-packages\sqlalchemy\orm\session.py", line 2557, in _flush
  File "site-packages\sqlalchemy\orm\unitofwork.py", line 403, in execute
  File "site-packages\sqlalchemy\orm\unitofwork.py", line 361, in _generate_actions
  File "site-packages\sqlalchemy\orm\unitofwork.py", line 490, in execute
MemoryError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "happypanda\core\commands\database_cmd.py", line 1188, in _add_to_db
  File "happypanda\core\commands\database_cmd.py", line 1139, in _add_item
  File "site-packages\sqlalchemy\orm\session.py", line 1027, in commit
  File "site-packages\sqlalchemy\orm\session.py", line 494, in commit
  File "site-packages\sqlalchemy\orm\session.py", line 473, in _prepare_impl
  File "site-packages\sqlalchemy\orm\session.py", line 2459, in flush
  File "site-packages\sqlalchemy\orm\session.py", line 2597, in _flush
  File "site-packages\sqlalchemy\util\langhelpers.py", line 79, in __exit__
  File "site-packages\sqlalchemy\util\compat.py", line 153, in reraise
  File "site-packages\sqlalchemy\orm\session.py", line 2597, in _flush
  File "site-packages\sqlalchemy\orm\session.py", line 534, in rollback
  File "site-packages\sqlalchemy\orm\session.py", line 361, in _restore_snapshot
MemoryError
Mar-03 22:10:12--ERROR  [command].happypanda.core.commands.database_cmd: An error occurred when adding item 
Traceback (most recent call last):
  File "happypanda\core\commands\database_cmd.py", line 1188, in _add_to_db
  File "happypanda\core\commands\database_cmd.py", line 1139, in _add_item
  File "site-packages\sqlalchemy\orm\session.py", line 1027, in commit
  File "site-packages\sqlalchemy\orm\session.py", line 492, in commit
  File "site-packages\sqlalchemy\orm\session.py", line 299, in _assert_active
sqlalchemy.exc.InvalidRequestError: This session is in 'inactive' state, due to the SQL transaction being rolled back; no further SQL can be emitted within this transaction.
Twiddly
@twiddli
I'm in the midst of changing the way galleries are added to be more efficient in both memory and speed. I think this error will be fixed with it.
Emmanuel Hansen
@emmauss
ok
SophtwhereDev
@SophtwhereDev_gitlab

Hi @twiddli sorry for the delay, so I figured I'd extend the File Metadata plugin based on the code snippet you gave me above and it seems to throw an AttributeError and no metadata is loaded when trying to add a gallery:

@twiddli Could you help me out with this?

plugin.log

This is the log file you asked for

Twiddly
@twiddli
Oh right, hmm, it seems last_page hasn't been loaded, try replacing page_id = gallery.last_page.idwith
gallery.session.refresh(gallery, ['last_page'])
page_id = gallery.last_page.id
SophtwhereDev
@SophtwhereDev_gitlab
@twiddli thanks, I just tried this but it still didn't work out, it's another NoneType:
Mar-03 19:55:42--INFO   pluginctx.file-metadata.main: Attempting with DataType.eze
Mar-03 19:55:42--INFO   pluginctx.file-metadata.main: DataType.eze matched!
Mar-03 19:55:42--ERROR  pluginctx.file-metadata: An unhandled exception 'AttributeError' was raised by plugin handler on command 'GalleryFS.parse_metadata_file'
Traceback (most recent call last):
  File "happypanda/core/plugins.py", line 672, in _unhandled_exception
  File "happypanda/core/plugins.py", line 484, in iter_call_handlers
  File "happypanda/core/plugins.py", line 690, in _call_handler
  File "happypanda/core/plugins.py", line 835, in call_handler
  File "/run/media/y/BACK UP/cr_hdd/hpx/data/__plugins__/e38e24e4-8ca8-420e-b52b-c75510097653.hpxplugin.zip/main.py", line 225, in parse
    return apply_file_metadata(gallery, f)
  File "/run/media/y/BACK UP/cr_hdd/hpx/data/__plugins__/e38e24e4-8ca8-420e-b52b-c75510097653.hpxplugin.zip/main.py", line 218, in apply_file_metadata
    apply_metadata(cdata, gallery)
  File "/run/media/y/BACK UP/cr_hdd/hpx/data/__plugins__/e38e24e4-8ca8-420e-b52b-c75510097653.hpxplugin.zip/main.py", line 172, in apply_metadata
    gallery.session.refresh(gallery, ['last_page'])
AttributeError: 'NoneType' object has no attribute 'refresh'
EnoEkow
@EnoEkow
ay, the fudge happened with your twitter? It was gone a couple of days ago when I last checked it
Twiddly
@twiddli
@EnoEkow changed to @twiddly_ but that was a long time ago
@SophtwhereDev_gitlab i'll make it work on my end first, then send you something that works
SophtwhereDev
@SophtwhereDev_gitlab
@twiddli Alright then thanks a lot I really appreciate it!
Klatrymadon
@hyperborean___twitter
So, originally a new release was gonna be pushed out in january, is this project dead now?
Twiddly
@twiddli
no, still working on it, something just came up
Carl
@CarlCarlson_gitlab
has there been any progress on adding duplicate scan functionality back into happypandax?
Twiddly
@twiddli
no that's not a feature im working on right now
what kind of duplicate scan are you talking about though?
SophtwhereDev
@SophtwhereDev_gitlab

@SophtwhereDev_gitlab i'll make it work on my end first, then send you something that works

Hi @twiddli , would you be able to give me an update regarding this soon?

Carl
@CarlCarlson_gitlab
I was thinking of how in happypanda, you could scan your collection for multiples of the same gallery.
KingPar
@KingPar
Hello @twiddli, I was wondering if it was possible to sync or rename the folders of my library on my local disk with the library metadata that gets grabbed by happypandax. I mean in HPX, the galleries names change from "Example" to "(C69) Example (Series)". I'd like my folder names like that as well. If not that, then is it possible to get a metadata file in the local folder such as "info.txt" or "tags.txt" that something like hdoujin downloader does by default?
Carl
@CarlCarlson_gitlab
When scanning a folder for galleries, archives which contain a folder instead of just images results in a duplicate nonfunctional gallery being created every time the folder is scanned. Additionally when attempting to empty the trashcan, any of the files in the trashcan being missing results in none of the archives being deleted.
Twiddly
@twiddli
@SophtwhereDev_gitlab hello, sorry for the lack of response, i actually found out that it might not be possible to achieve it without changing some internal code
@KingPar it's not possible right now, but it's a nice feature to implement
SophtwhereDev
@SophtwhereDev_gitlab
@twiddli
Hi, I understand and thanks for the update. Is it something that you could or plan to look into or is it too much at the moment?
On another note, if you don't mind me asking, when do you think we can expect a new release?
Twiddly
@twiddli
hmm, well i basically fucked up and started working on too big of a chunk, but im considering splitting it up somehow so i can release something soon at least
also, this quarantine didn't treat me well at all lol
TheoTTC
@TheoTTC
Hi! Is there any setting that allows me to show japanese title instead of english titles in browse page while already downloaded metadata from eh page?
Twiddly
@twiddli
Hello @TheoTTC, it's actually possible but it hasn't been fleshed out yet.
  1. In your HPX installation folder there's a folder named translations, in that folder copy the file named en_us.general.yaml and rename the en_us part to ja_jp
  2. You can also open ja_jp.general.yaml and change locale to Japanese (Japan) (and delete everything in it except this key)
  3. Then either use the setting client.translation_locale in your config.yaml set to ja_jp, or go into the ui client and change the language in the settings.
There should ideally be a new setting called displayed_language or something that doesn't require all these hoops.
TheoTTC
@TheoTTC
@twiddli Thanks for the help!! Things are working fine
Poosaurus
@Poosaurus
Alright, I've gotten myself in a bind... So when i started using happypanda x i used the default account primarily and a few days ago i created a seperate user account aswell as a admin account, when i did the default account stopped working, i think i tried to set the default account as admin once as well as change the default account's password but since they didn't make it to the listing i thought it was just denied. Now the default account is inaccessible and my favorites are lost, does anyone have any idea what i could do to recover it?
Twiddly
@twiddli
Hello, which database backend are you using?
Poosaurus
@Poosaurus
I'm using PostgreSQL
Poosaurus
@Poosaurus
It's also worth mentioning that I've since deleted the accounts I created but they seems to have left a mark considering the default account is still inaccessible and that I have to use the credentials of the deleted accounts to login
Twiddly
@twiddli
Oh sorry i completely forgot to reply. Anyways, I'm really not sure I understood you messed up the users. The default user is an account created automatically on database creation. This user has no password and has the username default. You can't, or well, shouldn't be able to modify it from HPX. I'm not sure what you mean by it stopping working. There's a setting that controls whether you should be able to login with the default user from a client or not.
Poosaurus
@Poosaurus
Sorry, I should have provided more detail, the setting disable_default_user is unchecked so it probably isn't that. When i try to login with the default account I get the standard "Wrong credentials" message along with this popup, AuthError: [AuthError|406]: 300: [DatabaseError|300]: MultipleResultsFound(Multiple rows were found for one())
Twiddly
@twiddli
@Poosaurus do you still have this issue?
Dagnus
@Dagnus
Hi! I seem to be encountering an issue where tag search triggers an SQL error.
  • OS: Win10
  • Docker Engine: v19.03.12
  • Version: 0.13.1 (:latest from docker)
  • Database flavor: postgresql (also tried with sqlite, same story)
  • docker-compose file pretty much identical to the one in the install guide but with the postgresql user and passwd changed
  • Same for the config.yaml file
  • No plugin enabled
I get the following error from the request:
happypandax_1  | 2020-09-09T19:05:01Z <Greenlet at 0x7f667436b950: search_tags(search_query='f', sort_by=31, offset=0, limit=50)> failed with ProgrammingError
happypandax_1  |
happypandax_1  | 'A database error occured '
happypandax_1  | Traceback (most recent call last):
happypandax_1  |   File "sqlalchemy/engine/base.py", line 1277, in _execute_context
happypandax_1  |   File "sqlalchemy/engine/default.py", line 593, in do_execute
happypandax_1  | psycopg2.errors.DuplicateAlias: table name "namespace_tags" specified more than once
happypandax_1  |
happypandax_1  |
happypandax_1  | The above exception was the direct cause of the following exception:
happypandax_1  |
happypandax_1  | Traceback (most recent call last):
happypandax_1  |   File "src/gevent/greenlet.py", line 854, in gevent._gevent_cgreenlet.Greenlet.run
happypandax_1  |   File "happypanda/core/db.py", line 4197, in wrapper
happypandax_1  |   File "happypanda/interface/tag.py", line 115, in search_tags
happypandax_1  |   File "happypanda/core/command.py", line 329, in run
happypandax_1  |   File "happypanda/core/command.py", line 105, in _run
happypandax_1  |   File "happypanda/core/command.py", line 357, in _main_wrap
happypandax_1  |   File "happypanda/core/commands/search_cmd.py", line 1623, in main
happypandax_1  |   File "sqlalchemy/orm/query.py", line 3346, in all
happypandax_1  |   File "sqlalchemy/orm/query.py", line 3508, in __iter__
happypandax_1  |   File "sqlalchemy/orm/query.py", line 3533, in _execute_and_instances
happypandax_1  |   File "sqlalchemy/engine/base.py", line 1011, in execute
happypandax_1  |   File "sqlalchemy/sql/elements.py", line 298, in _execute_on_connection
happypandax_1  |   File "sqlalchemy/engine/base.py", line 1130, in _execute_clauseelement
happypandax_1  |   File "sqlalchemy/engine/base.py", line 1317, in _execute_context
happypandax_1  |   File "sqlalchemy/engine/base.py", line 1511, in _handle_dbapi_exception
happypandax_1  |   File "sqlalchemy/util/compat.py", line 182, in raise_
happypandax_1  |   File "sqlalchemy/engine/base.py", line 1277, in _execute_context
happypandax_1  |   File "sqlalchemy/engine/default.py", line 593, in do_execute
happypandax_1  | sqlalchemy.exc.ProgrammingError: (psycopg2.errors.DuplicateAlias) table name "namespace_tags" specified more than once
happypandax_1  |
happypandax_1  | [SQL: SELECT namespace_tags.id AS namespace_tags_id
happypandax_1  | FROM namespace_tags LEFT OUTER JOIN tag ON tag.id = namespace_tags.tag_id LEFT OUTER JOIN namespace ON namespace.id = namespace_tags.namespace_id LEFT OUTER JOIN language ON language.id = namespace_tags.language_id LEFT OUTER JOIN (taggable_tags AS taggable_tags_1 JOIN taggable ON taggable.id = taggable_tags_1.taggable_id) ON namespace_tags.id = taggable_tags_1.namespace_tag_id LEFT OUTER JOIN (taggable_tags AS taggable_tags_2 JOIN namespace_tags ON namespace_tags.id = taggable_tags_2.namespace_tag_id) ON taggable.id = taggable_tags_2.taggable_id
happypandax_1  | WHERE (lower(tag.name) LIKE '%%' || %(lower_1)s || '%%' ESCAPE '/') OR (lower(tag.name) LIKE '%%' || %(lower_2)s || '%%' ESCAPE '/') OR (lower(namespace.name) LIKE '%%' || %(lower_3)s || '%%' ESCAPE '/') OR (lower(tag.name) LIKE '%%' || %(lower_4)s || '%%' ESCAPE '/') OR (lower(language.name) LIKE '%%' || %(lower_5)s || '%%' ESCAPE '/') OR (lower(tag.name) LIKE '%%' || %(lower_6)s || '%%' ESCAPE '/') OR (lower(tag.name) LIKE '%%' || %(lower_7)s || '%%' ESCAPE '/') OR (lower(tag.name) LIKE '%%' || %(lower_8)s || '%%' ESCAPE '/') OR (lower(tag.name) LIKE '%%' || %(lower_9)s || '%%' ESCAPE '/')]
happypandax_1  | [parameters: {'lower_1': 'd', 'lower_2': 'd', 'lower_3': 'd', 'lower_4': 'd', 'lower_5': 'd', 'lower_6': 'd', 'lower_7': 'd', 'lower_8': 'd', 'lower_9': 'd'}]
Twiddly
@twiddli
Hmm that's weird, it shouldnt even be possible to search forf only...? 3 characters are the minimum. Does this happen with any search string?
Poosaurus
@Poosaurus
Hey I've restarted with a fresh install of happypandax and I've run into a small problem where the archives i'm trying to download are identified as already in the database
[---INFO---]--2020-Sep-20 05:42:18-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:42:17-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:42:17-: Handling url https://nhentai.net/g/85289/ 
[---INFO---]--2020-Sep-20 05:42:17-: Adding https://nhentai.net/g/85289/ 
[---INFO---]--2020-Sep-20 05:40:15-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:40:14-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:40:14-: Handling url https://nhentai.net/g/85289/ 
[---INFO---]--2020-Sep-20 05:40:14-: Adding https://nhentai.net/g/85289/ 
[---INFO---]--2020-Sep-20 05:32:08-: Finished handling item 
[---INFO---]--2020-Sep-20 05:32:08-: Successfully imported item 
[---INFO---]--2020-Sep-20 05:32:08-: Sending 1 item(s) to metadata queue 
[---INFO---]--2020-Sep-20 05:32:07-: Waiting on post-processing from "nhentai"... 
[---INFO---]--2020-Sep-20 05:26:04-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:26:02-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:26:01-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:59-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:59-: Handling url https://nhentai.net/g/65712/ 
[---INFO---]--2020-Sep-20 05:25:58-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:57-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:57-: Handling url https://nhentai.net/g/73111/ 
[---INFO---]--2020-Sep-20 05:25:57-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:55-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:55-: Handling url https://nhentai.net/g/121916/ 
[---INFO---]--2020-Sep-20 05:25:55-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:53-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:53-: Handling url https://nhentai.net/g/81892/ 
[---INFO---]--2020-Sep-20 05:25:53-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:51-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:51-: Handling url https://nhentai.net/g/86895/ 
[---INFO---]--2020-Sep-20 05:25:51-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:49-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:49-: Handling url https://nhentai.net/g/139808/ 
[---INFO---]--2020-Sep-20 05:25:49-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:48-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:48-: Handling url https://nhentai.net/g/33260/ 
[---INFO---]--2020-Sep-20 05:25:48-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:46-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:46-: Handling url https://nhentai.net/g/144529/ 
[---INFO---]--2020-Sep-20 05:25:46-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:44-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:44-: Handling url https://nhentai.net/g/162677/ 
[---INFO---]--2020-Sep-20 05:25:44-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:43-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:43-: Handling url https://nhentai.net/g/89468/ 
[---INFO---]--2020-Sep-20 05:25:43-: Found existing item in the database with: None 
[---INFO---]--2020-Sep-20 05:25:41-: Querying resources from "nhentai"... 
[---INFO---]--2020-Sep-20 05:25:41-: Handling url https://nhentai.net/g/177810/ 
[---INFO---]--2020-Sep-20 05:25:41-: Found existing item in the database with: None
that's the log from the download tab, there's also this peculiar log
Sep-09 05:14:18--WARNING happypanda.migrate: Failed to remove data/internals.db. Please remove it yourself. 
Sep-09 05:18:15--ERROR  happypanda.main: Failed to configure built-in ESearch server, process exit code: 1 also see logs\esearch_stdout.log 
Sep-09 05:18:15--WARNING happypanda.main: Could not establish connection to ESearch server, aborting. 
Sep-09 05:32:10--WARNING [plugin].context.nhentai-metadata: An unhandled exception 'ConnectionError' was raised by plugin handler on command 'Metadata.apply'
Sep-09 05:32:10--WARNING [plugin].context.nhentai-metadata: An unhandled exception 'ConnectionError' was raised by plugin handler on command 'Metadata.apply' by nhentai-metadata:7d68901f...6e93f63ba00c 
Sep-09 05:32:10--WARNING [command].happypanda.core.commands.metadata_cmd: nhentai because an error occurred:
I've got no idea what's going on